/* Lista simplemente enlazada para evaluar una expresin muy simple (sin parntesis).

Su funcionamiento es as:
Esta expresin 4+5-2*3/4*6+7+3-8/2*5-4 se convierte a esto
4+
5-
ACUM+ (2* 3/ 4* 6N)
7+
3-
ACUM- (8/ 2* 5N)
4N

De esa manera resolver la expresin simple es solo ir de arriba a abajo con desviaciones
a la derecha cuando encuentra multiplicaciones y divisiones */

class NodoSimple
{
public:
	unsigned int iFuncion; //Si es una funcin
	unsigned char cVariable;  //Que variable es de la expresion simple
    float fNumero;  //Numero en la expresion simple
    unsigned char cOperador; //Operador en la expresin simple

	//Expresin simple todo es suma y resta 
	NodoSimple *Abajo;

	//Desviacin derecha multiplica/divide
	NodoSimple *Derecha;

	//Desviacin potencia
	NodoSimple *Potencia;

	//Lista de expresin analizada (los ACUMs)
	NodoSimple *Arriba;

	//Expresin simple apunta a un operador que es un ACUMULADOR
	NodoSimple *objACUM;

    //Constructor 1
    NodoSimple(float fNumero, unsigned char cOperador);

	//Constructor 2
	NodoSimple(unsigned char cVariable, unsigned char cOperador);

	//Constructor 3
	NodoSimple(void);

	//Constructor 4
	NodoSimple(NodoSimple *);

	//Constructor 5
	NodoSimple(NodoSimple *, unsigned char cOperador);
};
